Package ch.qos.logback.classic.util

## Class ContextSelectorStaticBinder

- java.lang.Object
- - ch.qos.logback.classic.util.ContextSelectorStaticBinder

    public class ContextSelectorStaticBinder
    extends java.lang.Object

Holds the context selector for use in the current environment.

Since:
  0.9.19
Author:
  Ceki Gülcü

### Constructor Summary

Constructors
`ContextSelectorStaticBinder()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ContextSelector` `getContextSelector()`
`static ContextSelectorStaticBinder` `getSingleton()`
`void` `init​(LoggerContext defaultLoggerContext, java.lang.Object key)` FOR INTERNAL USE.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContextSelectorStaticBinder

    public ContextSelectorStaticBinder()

### Method Detail

#### getSingleton

    public static ContextSelectorStaticBinder getSingleton()

#### init

    public void init​(LoggerContext defaultLoggerContext,
                     java.lang.Object key)
              throws java.lang.ClassNotFoundException,
                     java.lang.NoSuchMethodException,
                     java.lang.InstantiationException,
                     java.lang.IllegalAccessException,
                     java.lang.reflect.InvocationTargetException

FOR INTERNAL USE. This method is intended for use by StaticLoggerBinder.

Parameters:
  `defaultLoggerContext` -
Throws:
  `java.lang.ClassNotFoundException`
  `java.lang.NoSuchMethodException`
  `java.lang.InstantiationException`
  `java.lang.IllegalAccessException`
  `java.lang.reflect.InvocationTargetException`

#### getContextSelector

    public ContextSelector getContextSelector()